/*
 * @Author: Kane
 * @Date: 2023-09-07 17:16:12
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/rewards/RewardGainersResponse.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

package com.cpic.xim.web.controllers.rewards;

import com.cpic.xim.mybatis.pojo.RewardGainer;
import com.cpic.xim.web.controllers.QueryResponse;
import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.ArrayList;

public class RewardGainersResponse extends QueryResponse
{
    public RewardGainersResponse( boolean success, String message,
            ArrayList<RewardGainer> gainerList)
    {
        super( success, message );

        this.gainerList = gainerList;
    }

    public RewardGainersResponse()
    {
        super();

        this.gainerList = null;
    }

    public ArrayList<RewardGainer> getGainerList()
    {
        return gainerList;
    }

    public void setGainerList( ArrayList<RewardGainer> gainerList )
    {
        this.gainerList = gainerList;
    }

    @JsonProperty( "gainerList" )
    private ArrayList<RewardGainer> gainerList;
}
